## PkError

PkError — Error object

## Functions

PkError * | pk_error_new ()
PkErrorEnum | pk_error_get_code ()
const gchar * | pk_error_get_details ()

## Description

This GObject represents a error_code from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_error_new ()

    PkError *
    pk_error_new (void);

#### Returns

a new PkError object.

Since: 0.5.5

### pk_error_get_code ()

    PkErrorEnum
    pk_error_get_code (PkError *error_code);

Get the error code for this error.

#### Parameters

error_code | a valid PkError instance |

#### Returns

a PkErrorEnum

Since: 0.5.5

### pk_error_get_details ()

    const gchar *
    pk_error_get_details (PkError *error_code);

Get details for this error.

#### Parameters

error_code | a valid PkError instance |

#### Returns

an string description

Since: 0.5.5